import {Invite} from './Invite.interface';
import {Registration} from './Registration.interface';

/**
 * Used in the getEventData method as a return value
 */
export interface Event {
    eventId: string;
    name: string;
    description: string;
    takesPlaceDate: Date;
    registrationUntilDate: Date;
    maxParticipants: number;
    invites: Invite[];
    registrations: Registration[];
}
